%global momorel 1

Name: stone
Version: 2.2d
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source: http://www.gcd.org/sengoku/stone/stone-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: TCP/IP packet repeater in the application layer
NoSource: 0
Url: http://www.gcd.org/sengoku/stone/Welcome.ja.html
BuildRequires: openssl-devel
Requires: openssl

%description
Stone is a TCP/IP packet repeater in the application layer. It repeats
TCP and UDP packets from inside to outside of a firewall, or from
 outside to inside.

Stone has following features:
                        
1. Stone supports Win32.
    Formerly, UNIX machines are used as firewalls, but recently
    WindowsNT machines are used, too. You can easily run Stone on
    WindowsNT/2000 and Windows95/98/ME. Of course, available on Linux,
    FreeBSD, BSD/OS, SunOS, Solaris, HP-UX and so on.
2. Simple.
    Stone's source code is only 4000 lines long (written in C language),
    so you can minimize the risk of security holes.
3. Stone supports SSL.
    Using OpenSSL, stone can encrypt/decrypt packets.
4. Stone is a http proxy.
    Stone can also be a tiny http proxy.
5. POP -> APOP conversion.
    With stone and a mailer that does not support APOP, you can access
    to an APOP server. The MD5 program is needed.

%prep
%setup -q

%build
make linux-ssl SSL_FLAGS='-DUSE_SSL' SSL_LIBS='-lssl -lcrypto'

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/ja/man1
install stone %{buildroot}%{_bindir}
install stone.1 %{buildroot}%{_mandir}/man1
install stone.1.ja %{buildroot}%{_mandir}/ja/man1/stone.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
%doc GPL.txt README.en.txt README.txt

%changelog
* Fri Jan 21 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2d-1m)
- update to 2.2d

* Thu May 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2c-1m)
- update to 2.2c

* Mon Jan 05 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2b-1m)
- update to 2.2b

* Mon Dec 15 2003 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2a-1m)
- update to 2.2a
- use OpenSSL

* Tue Oct 15 2002 Junichiro Kita <kita@momonga-linux.org>
- update to 2.1w

* Mon Jul 29 2002 Junichiro Kita <kita@momonga-linux.org>
- initial build
